Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSceneTerrain Class Reference

`#include <deScene.hpp>`

Inheritance diagram for IdeSceneTerrain:

[legend]
Collaboration diagram for IdeSceneTerrain:

[legend]
List of all members.

## Public Member Functions
virtual deBoolean | SetTerrainHeightMap (IdeBitmapProxy *bmp)=0
virtual deBoolean | SetTerrainColorMap (IdeBitmapProxy *bmp)=0
virtual deBoolean | SetTerrainDetailMap (IdeBitmapProxy *bmp)=0
virtual deVec3d | GetTerrainScale ()=0
virtual void | SetTerrainScale (deVec3d vScale)=0
virtual void | SetTerrainScale (deFloat x, deFloat y, deFloat z)=0
virtual deTexCoord | GetDetailRepeat ()=0
virtual void | SetDetailRepeat (deTexCoord Repeat)=0
virtual void | SetDetailRepeat (deFloat u, deFloat v)=0
virtual void | SetHeightAt (unsigned char ucHeight, long x, long y)=0
virtual unsigned char | GetTrueHeightAt (long x, long y)=0
virtual deFloat | GetScaledHeightAt (long x, long y)=0
virtual deDouble | GetLODBias ()=0
virtual void | SetLODBias (deDouble Bias)=0
virtual long | GetGMMChunkSize ()=0
virtual void | SetGMMChunkSize (long ChunkSize)=0
virtual deBoolean | BuildRenderable ()=0
virtual deBoolean | BuildGeoMipMap (IdeDriver *pDriver)=0
## Protected Member Functions
virtual | ~IdeSceneTerrain ()

## Detailed Description

scene object used for storing & rendering large terrains based on heightmaps. Related functions: IdeSceneObject_CreateSceneTerrain

## Constructor & Destructor Documentation

virtual IdeSceneTerrain::~IdeSceneTerrain | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeSceneTerrain::BuildGeoMipMap | ( | IdeDriver * | pDriver | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deBoolean IdeSceneTerrain::BuildRenderable | ( |  | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deTexCoord IdeSceneTerrain::GetDetailRepeat | ( |  | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual long IdeSceneTerrain::GetGMMChunkSize | ( |  | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deDouble IdeSceneTerrain::GetLODBias | ( |  | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deFloat IdeSceneTerrain::GetScaledHeightAt | ( | long | x,
|  | long | y
| ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deVec3d IdeSceneTerrain::GetTerrainScale | ( |  | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual unsigned char IdeSceneTerrain::GetTrueHeightAt | ( | long | x,
|  | long | y
| ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual void IdeSceneTerrain::SetDetailRepeat | ( | deFloat | u,
|  | deFloat | v
| ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual void IdeSceneTerrain::SetDetailRepeat | ( | deTexCoord | Repeat | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual void IdeSceneTerrain::SetGMMChunkSize | ( | long | ChunkSize | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual void IdeSceneTerrain::SetHeightAt | ( | unsigned char | ucHeight,
|  | long | x,
|  | long | y
| ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual void IdeSceneTerrain::SetLODBias | ( | deDouble | Bias | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deBoolean IdeSceneTerrain::SetTerrainColorMap | ( | IdeBitmapProxy * | bmp | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deBoolean IdeSceneTerrain::SetTerrainDetailMap | ( | IdeBitmapProxy * | bmp | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual deBoolean IdeSceneTerrain::SetTerrainHeightMap | ( | IdeBitmapProxy * | bmp | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual void IdeSceneTerrain::SetTerrainScale | ( | deFloat | x,
|  | deFloat | y,
|  | deFloat | z
| ) | `[pure virtual]`

| Implemented in deSceneTerrain.

virtual void IdeSceneTerrain::SetTerrainScale | ( | deVec3d | vScale | ) | `[pure virtual]`

| Implemented in deSceneTerrain.

The documentation for this class was generated from the following file:

- deScene.hpp